Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Enum Class TariffCounterType

java.lang.Object
java.lang.Enum<TariffCounterType>
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffCounterType

All Implemented Interfaces:
  `Serializable`, `Comparable<TariffCounterType>`, `Constable`, `GuiTitlable`

public enum TariffCounterType extends Enum<TariffCounterType> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNT`
  `CONTRACT`
  `COUNTER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static TariffCounterType`
  `getTariffCounterTypeByCode(int code)`
  `String`
  `getTitle()`
  `static TariffCounterType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TariffCounterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTRACT

    public static final TariffCounterType CONTRACT

  - ### ACCOUNT

    public static final TariffCounterType ACCOUNT

  - ### COUNTER

    public static final TariffCounterType COUNTER

- ## Method Details

  - ### values

    public static TariffCounterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TariffCounterType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTitle

    public String getTitle()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getTariffCounterTypeByCode

    public static TariffCounterType getTariffCounterTypeByCode(int code)